import { Close, CloseFullscreen, Minimize } from "@mui/icons-material";
import { Box, Button, ButtonGroup, Stack, useTheme } from "@mui/material";
import { appWindow } from "@tauri-apps/api/window";

export const WindowButtons = () => {
  const userTheme = useTheme();

  const minimize = () => {
    appWindow.minimize();
  };

  const maximize = () => {
    appWindow.toggleMaximize();
  };

  const close = () => {
    appWindow.close();
  };

  return (
    <Box>
      <Stack direction="row" spacing={1}>
        <ButtonGroup>
          <Button
            onClick={minimize}
            sx={{
              backgroundColor: userTheme.palette.grey[800],
            }}
          >
            <Minimize
              fontSize="inherit"
              sx={{
                backgroundColor: userTheme.palette.grey[800],
              }}
            />
          </Button>
          <Button
            onClick={maximize}
            sx={{
              backgroundColor: userTheme.palette.grey[800],
            }}
          >
            <CloseFullscreen fontSize="inherit" />
          </Button>
          <Button
            onClick={close}
            sx={{
              backgroundColor: userTheme.palette.grey[800],
            }}
          >
            <Close fontSize="inherit" />
          </Button>
        </ButtonGroup>
      </Stack>
    </Box>
  );
};
